org.apache.poi.hwmf.draw

## Class HwmfDrawProperties

- java.lang.Object
- - org.apache.poi.hwmf.draw.HwmfDrawProperties

- Direct Known Subclasses:
    HemfDrawProperties

      public class HwmfDrawProperties
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Shape` | `clip`
    `protected java.awt.geom.AffineTransform` | `transform`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwmfDrawProperties()`
    `HwmfDrawProperties(HwmfDrawProperties other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HwmfColorRef` | `getBackgroundColor()`
    `HwmfMisc.WmfSetBkMode.HwmfBkMode` | `getBkMode()`
    `ImageRenderer` | `getBrushBitmap()`
    `HwmfColorRef` | `getBrushColor()`
    `HwmfHatchStyle` | `getBrushHatch()`
    `HwmfBrushStyle` | `getBrushStyle()`
    `java.awt.geom.AffineTransform` | `getBrushTransform()`
    `java.awt.Shape` | `getClip()`
    `HwmfFont` | `getFont()`
    `java.awt.geom.Point2D` | `getLocation()`
    `HwmfMapMode` | `getMapMode()`
    `java.util.List<HwmfPalette.PaletteEntry>` | `getPalette()` Returns the current palette.
    `int` | `getPaletteOffset()`
    `HwmfColorRef` | `getPenColor()`
    `double` | `getPenMiterLimit()`
    `HwmfPenStyle` | `getPenStyle()`
    `double` | `getPenWidth()`
    `HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode` | `getPolyfillMode()`
    `HwmfTernaryRasterOp` | `getRasterOp()`
    `java.awt.Shape` | `getRegion()` Gets the last stored region
    `HwmfText.HwmfTextAlignment` | `getTextAlignAsian()`
    `HwmfText.HwmfTextAlignment` | `getTextAlignLatin()`
    `HwmfColorRef` | `getTextColor()`
    `HwmfText.HwmfTextVerticalAlignment` | `getTextVAlignAsian()`
    `HwmfText.HwmfTextVerticalAlignment` | `getTextVAlignLatin()`
    `java.awt.geom.AffineTransform` | `getTransform()`
    `java.awt.geom.Rectangle2D` | `getViewport()`
    `int` | `getWindingRule()`
    `java.awt.geom.Rectangle2D` | `getWindow()`
    `void` | `setBackgroundColor(HwmfColorRef backgroundColor)`
    `void` | `setBkMode(HwmfMisc.WmfSetBkMode.HwmfBkMode bkMode)`
    `void` | `setBrushBitmap(java.awt.image.BufferedImage brushBitmap)`
    `void` | `setBrushBitmap(ImageRenderer brushBitmap)`
    `void` | `setBrushColor(HwmfColorRef brushColor)`
    `void` | `setBrushHatch(HwmfHatchStyle brushHatch)`
    `void` | `setBrushStyle(HwmfBrushStyle brushStyle)`
    `void` | `setBrushTransform(java.awt.geom.AffineTransform brushTransform)`
    `void` | `setClip(java.awt.Shape clip)`
    `void` | `setFont(HwmfFont font)`
    `void` | `setLocation(double x, double y)`
    `void` | `setLocation(java.awt.geom.Point2D point)`
    `void` | `setMapMode(HwmfMapMode mapMode)`
    `void` | `setPalette(java.util.List<HwmfPalette.PaletteEntry> palette)` Sets the current palette.
    `void` | `setPaletteOffset(int paletteOffset)`
    `void` | `setPenColor(HwmfColorRef penColor)`
    `void` | `setPenMiterLimit(double penMiterLimit)`
    `void` | `setPenStyle(HwmfPenStyle penStyle)`
    `void` | `setPenWidth(double penWidth)`
    `void` | `setPolyfillMode(HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode polyfillMode)`
    `void` | `setRasterOp(HwmfTernaryRasterOp rasterOp)`
    `void` | `setRegion(java.awt.Shape region)` Sets a region for further usage
    `void` | `setTextAlignAsian(HwmfText.HwmfTextAlignment textAlignAsian)`
    `void` | `setTextAlignLatin(HwmfText.HwmfTextAlignment textAlignLatin)`
    `void` | `setTextColor(HwmfColorRef textColor)`
    `void` | `setTextVAlignAsian(HwmfText.HwmfTextVerticalAlignment textVAlignAsian)`
    `void` | `setTextVAlignLatin(HwmfText.HwmfTextVerticalAlignment textVAlignLatin)`
    `void` | `setTransform(java.awt.geom.AffineTransform transform)`
    `void` | `setViewportExt(double width, double height)`
    `void` | `setViewportOrg(double x, double y)`
    `void` | `setWindowExt(double width, double height)`
    `void` | `setWindowOrg(double x, double y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clip

          protected java.awt.Shape clip

    - #### transform

          protected final java.awt.geom.AffineTransform transform

  - ### Constructor Detail

    - #### HwmfDrawProperties

          public HwmfDrawProperties()

    - #### HwmfDrawProperties

          public HwmfDrawProperties(HwmfDrawProperties other)

  - ### Method Detail

    - #### setViewportExt

          public void setViewportExt(double width,
                                     double height)

    - #### setViewportOrg

          public void setViewportOrg(double x,
                                     double y)

    - #### getViewport

          public java.awt.geom.Rectangle2D getViewport()

    - #### setWindowExt

          public void setWindowExt(double width,
                                   double height)

    - #### setWindowOrg

          public void setWindowOrg(double x,
                                   double y)

    - #### getWindow

          public java.awt.geom.Rectangle2D getWindow()

    - #### setLocation

          public void setLocation(double x,
                                  double y)

    - #### setLocation

          public void setLocation(java.awt.geom.Point2D point)

    - #### getLocation

          public java.awt.geom.Point2D getLocation()

    - #### setMapMode

          public void setMapMode(HwmfMapMode mapMode)

    - #### getMapMode

          public HwmfMapMode getMapMode()

    - #### getBrushStyle

          public HwmfBrushStyle getBrushStyle()

    - #### setBrushStyle

          public void setBrushStyle(HwmfBrushStyle brushStyle)

    - #### getBrushHatch

          public HwmfHatchStyle getBrushHatch()

    - #### setBrushHatch

          public void setBrushHatch(HwmfHatchStyle brushHatch)

    - #### getBrushColor

          public HwmfColorRef getBrushColor()

    - #### setBrushColor

          public void setBrushColor(HwmfColorRef brushColor)

    - #### getBkMode

          public HwmfMisc.WmfSetBkMode.HwmfBkMode getBkMode()

    - #### setBkMode

          public void setBkMode(HwmfMisc.WmfSetBkMode.HwmfBkMode bkMode)

    - #### getPenStyle

          public HwmfPenStyle getPenStyle()

    - #### setPenStyle

          public void setPenStyle(HwmfPenStyle penStyle)

    - #### getPenColor

          public HwmfColorRef getPenColor()

    - #### setPenColor

          public void setPenColor(HwmfColorRef penColor)

    - #### getPenWidth

          public double getPenWidth()

    - #### setPenWidth

          public void setPenWidth(double penWidth)

    - #### getPenMiterLimit

          public double getPenMiterLimit()

    - #### setPenMiterLimit

          public void setPenMiterLimit(double penMiterLimit)

    - #### getBackgroundColor

          public HwmfColorRef getBackgroundColor()

    - #### setBackgroundColor

          public void setBackgroundColor(HwmfColorRef backgroundColor)

    - #### getPolyfillMode

          public HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode getPolyfillMode()

    - #### setPolyfillMode

          public void setPolyfillMode(HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode polyfillMode)

    - #### getBrushBitmap

          public ImageRenderer getBrushBitmap()

    - #### setBrushBitmap

          public void setBrushBitmap(ImageRenderer brushBitmap)

    - #### setBrushBitmap

          public void setBrushBitmap(java.awt.image.BufferedImage brushBitmap)

    - #### getRegion

          public java.awt.Shape getRegion()

      Gets the last stored region
      Returns:
        the last stored region

    - #### setRegion

          public void setRegion(java.awt.Shape region)

      Sets a region for further usage
      Parameters:
        `region` - a region object which is usually a rectangle

    - #### getPalette

          public java.util.List<HwmfPalette.PaletteEntry> getPalette()

      Returns the current palette. Callers may modify the palette.
      Returns:
        the current palette or null, if it hasn't been set

    - #### setPalette

          public void setPalette(java.util.List<HwmfPalette.PaletteEntry> palette)

      Sets the current palette. It's the callers duty to set a modifiable copy of the palette.
      Parameters:
        `palette` -

    - #### getPaletteOffset

          public int getPaletteOffset()

    - #### setPaletteOffset

          public void setPaletteOffset(int paletteOffset)

    - #### getTextColor

          public HwmfColorRef getTextColor()

    - #### setTextColor

          public void setTextColor(HwmfColorRef textColor)

    - #### getFont

          public HwmfFont getFont()

    - #### setFont

          public void setFont(HwmfFont font)

    - #### getTextAlignLatin

          public HwmfText.HwmfTextAlignment getTextAlignLatin()

    - #### setTextAlignLatin

          public void setTextAlignLatin(HwmfText.HwmfTextAlignment textAlignLatin)

    - #### getTextVAlignLatin

          public HwmfText.HwmfTextVerticalAlignment getTextVAlignLatin()

    - #### setTextVAlignLatin

          public void setTextVAlignLatin(HwmfText.HwmfTextVerticalAlignment textVAlignLatin)

    - #### getTextAlignAsian

          public HwmfText.HwmfTextAlignment getTextAlignAsian()

    - #### setTextAlignAsian

          public void setTextAlignAsian(HwmfText.HwmfTextAlignment textAlignAsian)

    - #### getTextVAlignAsian

          public HwmfText.HwmfTextVerticalAlignment getTextVAlignAsian()

    - #### setTextVAlignAsian

          public void setTextVAlignAsian(HwmfText.HwmfTextVerticalAlignment textVAlignAsian)

    - #### getWindingRule

          public int getWindingRule()

      Returns:
        the current active winding rule (`Path2D.WIND_EVEN_ODD` or `Path2D.WIND_NON_ZERO`)

    - #### getRasterOp

          public HwmfTernaryRasterOp getRasterOp()

    - #### setRasterOp

          public void setRasterOp(HwmfTernaryRasterOp rasterOp)

    - #### getTransform

          public java.awt.geom.AffineTransform getTransform()

    - #### setTransform

          public void setTransform(java.awt.geom.AffineTransform transform)

    - #### getClip

          public java.awt.Shape getClip()

    - #### setClip

          public void setClip(java.awt.Shape clip)

    - #### getBrushTransform

          public java.awt.geom.AffineTransform getBrushTransform()

    - #### setBrushTransform

          public void setBrushTransform(java.awt.geom.AffineTransform brushTransform)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.